#include <stdio.h>
#include <motelib/system.h>
#include <motelib/led.h>
#include <motelib/uart.h>
#include <motelib/radio.h>
#include <motelib/button.h>

void receive(Address src, MessageType type, void *msg, uint8_t len);
void checkButton(ButtonStatus status);

void boot()
{
   uartEnable(true, true);
   radioSetRxHandler(receive);
   buttonSetHandler(checkButton);
}

void receive(Address src, MessageType type, void *msg, uint8_t len)
{
    if (type == 99 && src == 123)
    {
		 uint8_t result = ((char*)msg)[0];
	   	 ledSetValue(1);   
	         printf("Received Value is %d\r\n", result);   
    }
}

void checkButton(ButtonStatus status)
{
    if (status == BUTTON_PRESSED)
    {
       ledSetValue(0);
    }  
}

