#include <motelib/system.h>
#include <stdio.h>
#include <motelib/timer.h>
#include <motelib/uart.h>
#include <motelib/sensor.h>
#include <motelib/radio.h>

Timer t;

void readDone(uint16_t value);
void readSound(Timer *t);

void boot()
{
   uartEnable(true, true);
   timerCreate(&t);
   timerStart(&t, TIMER_PERIODIC, 80, readSound);
}

void readSound(Timer *t)
{
   sensorRequestAnalog(SENSOR_1, readDone);
}

void readDone(uint16_t value)
{
   if (value >= 110)
   {
	printf("Detected Value is %d\r\n", value);
      	radioRequestTx(111, 99, &value, sizeof(value), NULL);
   }
}
